extends TextureButton

# Called when the node enters the scene tree for the first time.
func _ready():
	# Connect the pressed signal to the _on_Button_pressed function
	self.connect("pressed", Callable(self, "_on_Button_pressed"))
	
	#Checks if the texture needs to be set
	if Global.selected_texture:
		self.texture_normal = Global.selected_texture
		

# Function to handle the button press
func _on_Button_pressed():
	# Change the current scene
	get_tree().change_scene_to_file("res://team.tscn")

#Function to set texture of the button
